Package org.apache.sling.resourceresolver.impl.legacy

# Class LegacyResourceProviderWhiteboard

java.lang.Object
org.apache.sling.resourceresolver.impl.legacy.LegacyResourceProviderWhiteboard

public class LegacyResourceProviderWhiteboard extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ORIGINAL_SERVICE_PID`

## Constructor Summary

Constructors
Constructor
Description
`LegacyResourceProviderWhiteboard()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindResourceProvider(org.osgi.framework.ServiceReference<org.apache.sling.api.resource.ResourceProvider> ref)`
`protected void`
`bindResourceProviderFactory(org.osgi.framework.ServiceReference<org.apache.sling.api.resource.ResourceProviderFactory> ref)`
`protected void`
`unbindResourceProvider(org.apache.sling.api.resource.ResourceProvider provider, Map<String,Object> props)`
`protected void`
`unbindResourceProviderFactory(org.apache.sling.api.resource.ResourceProviderFactory factory, Map<String,Object> props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ORIGINAL_SERVICE_PID

public static final String ORIGINAL_SERVICE_PID

See Also:
  - Constant Field Values

## Constructor Details

### LegacyResourceProviderWhiteboard

public LegacyResourceProviderWhiteboard()

## Method Details

### bindResourceProvider

protected void bindResourceProvider(org.osgi.framework.ServiceReference<org.apache.sling.api.resource.ResourceProvider> ref)

### unbindResourceProvider

protected void unbindResourceProvider(org.apache.sling.api.resource.ResourceProvider provider, Map<String,Object> props)

### bindResourceProviderFactory

protected void bindResourceProviderFactory(org.osgi.framework.ServiceReference<org.apache.sling.api.resource.ResourceProviderFactory> ref)

### unbindResourceProviderFactory

protected void unbindResourceProviderFactory(org.apache.sling.api.resource.ResourceProviderFactory factory, Map<String,Object> props)